# Project 1: Regression and Resampling

This project was authored by **Lars Bogner**.

## Project Structure

- **`src/`**: Contains the main code for the project. The majority of the implementation is contained in the `pyoptim` library.
    - **`main.ipynb`**: Jupyter Notebook used for figure generation.
- **`report/`**: Contains the LaTeX source files for the project report.

## Installation

To install all dependencies, use the following command:

```bash
uv install
```
This uses the `uv` tool to manage the environment and dependencies. Refer to the [uv documentation](https://uv.readthedocs.io/en/latest/) for more details.

## Usage

1. Navigate to the `src/` directory.
2. Open and run `main.ipynb` to generate figures.
3. The generated figures will be saved in the `figures/` directory.